%define upstream_name phonon-backend-vlc

Name:           phonon-vlc
Version:        0.11.3
Release:        %mkrel 2
Summary:        VLC backend for Phonon
License:        LGPLv2
Group:          Video
URL:            https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:        http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/%{upstream_name}-%{version}.tar.xz

BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: vlc-devel
BuildRequires: phonon-devel
Provides:       phonon-backend
Provides:       %{upstream_name}

Requires:       phonon
Requires:       vlc-libs


%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

#--------------------------------------------------------------------

%package -n phonon4qt5-vlc
Summary:        VLC backend for Phonon Qt5
Group:          Video
BuildRequires: phonon4qt5-devel

Requires:       phonon4qt5

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-vlc

Requires:       vlc-libs

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc
%doc COPYING.LIB AUTHORS
%_qt5_plugindir/phonon4qt5_backend/phonon_vlc.so

#--------------------------------------------------------------------

%prep
%setup -qn phonon-backend-vlc-%{version}
%apply_patches

%build
    %cmake_kf5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make_build

%install
rm -rf %buildroot
%make_install -C build

#drop this
rm -rf %buildroot/%{_datadir}/locale



%changelog
* Wed Sep 29 2021 tex - 0.11.3-2pclos2021
- rebuild against updates

* Sun Aug 08 2021 tex - 0.11.3-1pclos2021
- new version

* Fri May 14 2021 tex - 0.11.1-2pclos2021
- rebuild against updates

* Thu Jul 23 2020 tex - 0.11.1-1pclos2020
- new version

* Mon Aug 19 2019 tex - 0.10.2-3pclos2019
- rebuild against updates

* Sun May 12 2019 tex 0.10.2-2pclos2019
- adjust spec file

* Mon Mar 18 2019 tex 0.10.2-1pclos2019
- new

* Fri Jun 01 2018 tex - 0.10.0-3pclos2018
- rebuild against updates

* Sun Apr 15 2018 bb2 <bb2> - 0.10.0-2pclos2018
- fix rpm group

* Mon Feb 26 2018 bb2 <bb2> - 0.10.0-1pclos2018
- new version
